=== debian/control ===
Source: libtrace4
Priority: optional
Maintainer: Shane Alcock <shane@alcock.co.nz>
Build-Depends: debhelper-compat (= 12), dh-autoreconf,
 libpcap-dev, zlib1g-dev, flex, bison, doxygen, liblzma-dev, graphviz,
 libncurses5-dev, libbz2-dev, libssl-dev, libwandio1-dev (>= 4.0.0),
 libwandder2-dev (>= 2.0.6), dpdk-dev, libnuma-dev, libyaml-dev,
 gcc-multilib
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/LibtraceTeam/libtrace

Package: libtrace4-dev
Section: libdevel
Architecture: any
Depends: libtrace4 (= ${binary:Version}), ${misc:Depends}
Provides: libtrace-dev
Conflicts: libtrace-dev, libpacketdump3-dev
Replaces: libtrace-dev
Description: development headers for the libtrace network processing library
 This package contains development headers and other ancillary files for
 the libtrace library.
 .
 libtrace is a library for trace processing. It supports multiple input
 methods, including device capture, raw and gz-compressed trace, and sockets;
 and multiple input formats, including pcap and DAG.
 .
 libtrace was originally developed by the WAND Network Research Group at Waikato
 University in New Zealand.

Package: libtrace4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libtrace4 (= ${binary:Version})
Conflicts: libtrace, libtrace3, libtrace4-dag
Replaces: libtrace3
Description: network trace processing library supporting many input formats
 libtrace is a library for trace processing. It supports multiple input
 methods, including device capture, raw and gz-compressed trace, and sockets;
 and multiple input formats.
 .
 libtrace was originally developed by the WAND Network Research Group at Waikato
 University in New Zealand.

#Package: libtrace4-dag
#Section: libs
#Architecture: any
#Depends: dag-base, ${shlibs:Depends}, ${misc:Depends}
#Provides: libtrace4
#Conflicts: libtrace, libtrace3, libtrace4
#Replaces: libtrace3
#Description: network trace processing library supporting many input formats
# libtrace is a library for trace processing. It supports multiple input
# methods, including device capture, raw and gz-compressed trace, and sockets;
# and multiple input formats. This version of the libtrace4 package includes
# support for Endace DAG hardware.
# .
# libtrace is developed by the WAND Network Research Group at Waikato
# University in New Zealand.

Package: libpacketdump4-dev
Section: libdevel
Architecture: any
Depends: libpacketdump4 (= ${binary:Version}), ${misc:Depends}
Provides: libpacketdump-dev
Conflicts: libpacketdump-dev
Replaces: libpacketdump-dev
Description: development headers for the libpacketdump library
 This package contains development headers and other ancillary files for
 the libpacketdump library.
 .
 libpacketdump provides a library which can parse packets and display the
 packet contents in a nice human-readable form. The output is similar to that
 produced by tcpdump, although the formatting is somewhat more verbose.
 .
 libpacketdump was originally developed by the WAND Network Research Group at
 Waikato University in New Zealand.

Package: libpacketdump4
Architecture: any
Depends: libtrace4 (= ${binary:Version}), ${misc:Depends}
Provides: libpacketdump
Conflicts: libpacketdump, libpacketdump3
Replaces: libpacketdump3
Description: network packet parsing and human-readable display library
 libpacketdump provides a library which can parse packets and display the
 packet contents in a nice human-readable form. The output is similar to that
 produced by tcpdump, although the formatting is somewhat more verbose.
 .
 libpacketdump was originally developed by the WAND Network Research Group at
 Waikato University in New Zealand.

Package: libtrace4-tools
Section: net
Architecture: any
Depends: libtrace4 (= ${binary:Version}), libpacketdump4 (= ${binary:Version}), ${misc:Depends}
Conflicts: libtrace-tools
Replaces: libtrace-tools
Description: helper utilities for use with the libtrace process library
 libtrace is a library for trace processing. These tools perform many common
 tasks that are required when analysing and manipulating network traces.
 .
 Multiple input methods and formats are supported including device capture,
 raw and gz-compressed traces, and sockets.
 .
 libtrace was originally developed by the WAND Network Research Group at
 Waikato University in New Zealand.
